Subject: Re: [RFC] skge: limit DMA to 32 bit

From: Stanislaw Gruszka <[email-masked]>
Date: Wed, 22 Sep 2010 09:34:01 +0200

On Tue, Sep 21, 2010 at 08:02:53AM -0700, Stephen Hemminger wrote:
> > Is 32bit DMA limit for every skge device acceptable patch?
> 
> No. The device does support 64 bit DMA, the problem is a crap implementation
> of the device the motherboard. Therefore a PCI quirk or module parameter
> is a better solution.

Ok, I will use dmi_check_system() to recognize broken board and limit DMA
address space when detected.

Thanks
Stanislaw